## mockldap 0.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mockldap.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mockldap.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mockldap"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mockldap"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

zip:
	rm $(BUILDDIR)/html.zip || true
	cd $(BUILDDIR)/html && zip -R ../html.zip '*' -x .buildinfo -x '_sources/*'

## mockldap 0.1.4

=== debian/changelog ===
mockldap (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #730530)

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 03 Dec 2013 11:54:20 +0100

=== debian/control ===
Source: mockldap
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               python-all,
               python-doc,
               python-funcparserlib,
               python-ldap,
               python-mock,
               python-mock-doc,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-unittest2
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: http://bitbucket.org/psagers/mockldap/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mockldap/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mockldap/trunk/

Package: python-mockldap
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-mockldap-doc
Description: simple mock implementation of python-ldap
 This project provides a mock replacement for python-ldap. It’s useful for any
 project that would like to write unit tests against LDAP code without relying
 on a running LDAP server.
 .
 The goal of mockldap is to provide a mock instance of LDAPObject in response to
 any call to ldap.initialize. In the general case, you would register return
 values for all LDAPObject calls that you expect the code under test to make.
 Your assertions would then verify that the tested code behaved correctly given
 this set of return values from the LDAP APIs.
 .
 As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
 typical way to use mockldap is to provide some static directory content and
 then let LDAPObject generate real return values. This will only work for simple
 LDAP operations–this obviously isn’t a complete Python LDAP server
 implementation–but those simple operations tend to cover a lot of cases.

Package: python-mockldap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: simple mock implementation of python-ldap (Documentation)
 This project provides a mock replacement for python-ldap. It’s useful for any
 project that would like to write unit tests against LDAP code without relying
 on a running LDAP server.
 .
 The goal of mockldap is to provide a mock instance of LDAPObject in response to
 any call to ldap.initialize. In the general case, you would register return
 values for all LDAPObject calls that you expect the code under test to make.
 Your assertions would then verify that the tested code behaved correctly given
 this set of return values from the LDAP APIs.
 .
 As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
 typical way to use mockldap is to provide some static directory content and
 then let LDAPObject generate real return values. This will only work for simple
 LDAP operations–this obviously isn’t a complete Python LDAP server
 implementation–but those simple operations tend to cover a lot of cases.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
endif

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/.build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/m/mockldap/mockldap-([\d\.]+)\.tar\.gz

## mockldap 0.2.0

=== debian/changelog ===
mockldap (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 12:36:21 +0200

mockldap (0.1.8-1) unstable; urgency=medium

  * New upstream release (Closes: #741783).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 01 Apr 2014 16:22:58 +0200

mockldap (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key D0FA0E76.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Mar 2014 22:10:50 +0100

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.python.org/packages/source/m/mockldap/mockldap-([\d\.]+)\.tar\.gz

## mockldap 0.2.2

=== debian/changelog ===
mockldap (0.2.2-3) unstable; urgency=low

  * Switch buildsystem to pybuild.
  * Add dh-python to Build-Depends.
  * Add src/mockldap.egg-info/requires.txt to d/clean to allow two builds in a
    row.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 28 Aug 2014 21:56:00 +0200

mockldap (0.2.2-2) unstable; urgency=medium

  * Use correct package for python_ldap in Python3 by providing
    d/py3dist-overrides.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 27 Aug 2014 15:00:51 +0200

mockldap (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Add Python3 support. Test are not yet compatible.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 21 Aug 2014 11:40:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all,
                python-doc,
                python-funcparserlib,
@@ -12,9 +13,12 @@
                python-mock-doc,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-               python-unittest2
+               python-unittest2,
+               python3-all,
+               python3-setuptools
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.3
 Homepage: http://bitbucket.org/psagers/mockldap/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mockldap/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mockldap/trunk/
@@ -40,6 +44,29 @@
  LDAP operations–this obviously isn’t a complete Python LDAP server
  implementation–but those simple operations tend to cover a lot of cases.
 
+Package: python3-mockldap
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python-mockldap-doc
+Description: simple mock implementation of python-ldap (Python3 version)
+ This project provides a mock replacement for python-ldap. It’s useful for any
+ project that would like to write unit tests against LDAP code without relying
+ on a running LDAP server.
+ .
+ The goal of mockldap is to provide a mock instance of LDAPObject in response to
+ any call to ldap.initialize. In the general case, you would register return
+ values for all LDAPObject calls that you expect the code under test to make.
+ Your assertions would then verify that the tested code behaved correctly given
+ this set of return values from the LDAP APIs.
+ .
+ As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
+ typical way to use mockldap is to provide some static directory content and
+ then let LDAPObject generate real return values. This will only work for simple
+ LDAP operations–this obviously isn’t a complete Python LDAP server
+ implementation–but those simple operations tend to cover a lot of cases.
+ .
+ This package contains the Python 3 version of the library.
+
 Package: python-mockldap-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=mockldap
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/.build

## mockldap 0.2.4

=== debian/changelog ===
mockldap (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-mockldap binary package as it is not compatible with
    python3-ldap3 and there is no python3-ldap (Closes: #784645).
  * Bump Standards-Version to 3.9.6.
  * Use pypi.debian.net service for uscan.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 May 2015 20:54:29 +0200

## mockldap 0.2.5

=== debian/changelog ===
mockldap (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2015 16:45:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -13,12 +13,9 @@
                python-mock-doc,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-               python-unittest2,
-               python3-all,
-               python3-setuptools
-Standards-Version: 3.9.5
+               python-unittest2
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.3
 Homepage: http://bitbucket.org/psagers/mockldap/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mockldap/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mockldap/trunk/
@@ -44,29 +41,6 @@
  LDAP operations–this obviously isn’t a complete Python LDAP server
  implementation–but those simple operations tend to cover a lot of cases.
 
-Package: python3-mockldap
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-mockldap-doc
-Description: simple mock implementation of python-ldap (Python3 version)
- This project provides a mock replacement for python-ldap. It’s useful for any
- project that would like to write unit tests against LDAP code without relying
- on a running LDAP server.
- .
- The goal of mockldap is to provide a mock instance of LDAPObject in response to
- any call to ldap.initialize. In the general case, you would register return
- values for all LDAPObject calls that you expect the code under test to make.
- Your assertions would then verify that the tested code behaved correctly given
- this set of return values from the LDAP APIs.
- .
- As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
- typical way to use mockldap is to provide some static directory content and
- then let LDAPObject generate real return values. This will only work for simple
- LDAP operations–this obviously isn’t a complete Python LDAP server
- implementation–but those simple operations tend to cover a lot of cases.
- .
- This package contains the Python 3 version of the library.
-
 Package: python-mockldap-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,9 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=mockldap
-export PYBUILD_DISABLE_python3=test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/mockldap/mockldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mockldap 0.2.8

=== debian/changelog ===
mockldap (0.2.8-1) unstable; urgency=low

  * Upload to unstable (Closes: #866016).
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Jul 2017 20:52:12 +0200

mockldap (0.2.8-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Mar 2017 08:03:08 +0100

mockldap (0.2.7-1~exp1) experimental; urgency=low

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Remove version constraint from python-sphinx in Build-Depends, no
    longer necessary.
  * Add patch to use pyldap for both Python2 and Python3.
  * Replace python-ldap with python-pyldap in Build-Depends.
  * Use https:// for copyright-format 1.0 URL.
  * Bump Standards-Version to 3.9.8.
  * Enable Python3 support through additional binary package.
  * Switch to python3-sphinx.
  * Bump minimum Python2 version to 2.7.
  * Update years in d/copyright.
  * Install README for python3-mockldap.

 -- Michael Fladischer <fladi@debian.org>  Sat, 18 Mar 2017 08:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,31 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-doc,
                python-funcparserlib,
-               python-ldap,
+               python-pyldap,
                python-mock,
                python-mock-doc,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
-               python-unittest2
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.5
-Homepage: http://bitbucket.org/psagers/mockldap/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mockldap/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mockldap/trunk/
+               python-unittest2,
+               python3-all,
+               python3-doc,
+               python3-funcparserlib,
+               python3-mock,
+               python3-pyldap,
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 4.0.0
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
+Homepage: https://bitbucket.org/psagers/mockldap/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mockldap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mockldap.git
 
 Package: python-mockldap
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Suggests: python-mockldap-doc
-Description: simple mock implementation of python-ldap
+Description: simple mock implementation of python-ldap (Python2 version)
  This project provides a mock replacement for python-ldap. It’s useful for any
  project that would like to write unit tests against LDAP code without relying
  on a running LDAP server.
@@ -40,6 +46,31 @@
  then let LDAPObject generate real return values. This will only work for simple
  LDAP operations–this obviously isn’t a complete Python LDAP server
  implementation–but those simple operations tend to cover a lot of cases.
+ .
+ This package contains the Python 2 version of the library.
+
+Package: python3-mockldap
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python-mockldap-doc
+Description: simple mock implementation of python-ldap (Python3 version)
+ This project provides a mock replacement for python-ldap. It’s useful for any
+ project that would like to write unit tests against LDAP code without relying
+ on a running LDAP server.
+ .
+ The goal of mockldap is to provide a mock instance of LDAPObject in response to
+ any call to ldap.initialize. In the general case, you would register return
+ values for all LDAPObject calls that you expect the code under test to make.
+ Your assertions would then verify that the tested code behaved correctly given
+ this set of return values from the LDAP APIs.
+ .
+ As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
+ typical way to use mockldap is to provide some static directory content and
+ then let LDAPObject generate real return values. This will only work for simple
+ LDAP operations–this obviously isn’t a complete Python LDAP server
+ implementation–but those simple operations tend to cover a lot of cases.
+ .
+ This package contains the Python 3 version of the library.
 
 Package: python-mockldap-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=mockldap
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## mockldap 0.3.0

=== debian/changelog ===
mockldap (0.3.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-mockldap-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:47:06 +0100

mockldap (0.3.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:05:55 +0100

mockldap (0.3.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Jun 2022 20:35:50 -0400

mockldap (0.3.0-4) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 23:24:51 +0500

mockldap (0.3.0-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Add python-mock to Depends for the Python2 package (Closes: #880865).
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jul 2019 12:38:13 +0200

mockldap (0.3.0-2) unstable; urgency=medium

  * Add python-mock to Depends for the Python2 package (Closes: #880865).
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Thu, 09 Nov 2017 22:31:24 +0100

mockldap (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Move upstream signing key to debian/upstream/signing-key.asc.
  * Replace Priority extra with optional as required by policy 4.0.1.
  * Bump Standards-Version to 4.1.1.
  * Raise minimum Python3 version to 3.4.
  * Use https:// for uscan URL.
  * Refresh patches for 0.3.0.
  * Clean up modified files to allow two builds in a row.
  * Disable test until upstream includes them in their tarball again.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Nov 2017 18:49:44 +0100

=== debian/control ===
Source: mockldap
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-doc,
 python3-funcparserlib,
 python3-mock,
 python3-pyldap,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.1
Homepage: https://bitbucket.org/psagers/mockldap/
Vcs-Git: https://salsa.debian.org/python-team/packages/mockldap.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mockldap
Testsuite: autopkgtest-pkg-python

Package: python-mockldap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: simple mock implementation of python-ldap (Documentation)
 This project provides a mock replacement for python-ldap. It’s useful for any
 project that would like to write unit tests against LDAP code without relying
 on a running LDAP server.
 .
 The goal of mockldap is to provide a mock instance of LDAPObject in response to
 any call to ldap.initialize. In the general case, you would register return
 values for all LDAPObject calls that you expect the code under test to make.
 Your assertions would then verify that the tested code behaved correctly given
 this set of return values from the LDAP APIs.
 .
 As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
 typical way to use mockldap is to provide some static directory content and
 then let LDAPObject generate real return values. This will only work for simple
 LDAP operations–this obviously isn’t a complete Python LDAP server
 implementation–but those simple operations tend to cover a lot of cases.
 .
 This package contains the documentation.

Package: python3-mockldap
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-mockldap-doc,
Description: simple mock implementation of python-ldap (Python3 version)
 This project provides a mock replacement for python-ldap. It’s useful for any
 project that would like to write unit tests against LDAP code without relying
 on a running LDAP server.
 .
 The goal of mockldap is to provide a mock instance of LDAPObject in response to
 any call to ldap.initialize. In the general case, you would register return
 values for all LDAPObject calls that you expect the code under test to make.
 Your assertions would then verify that the tested code behaved correctly given
 this set of return values from the LDAP APIs.
 .
 As a convenience, the mock LDAPObject isn’t just a dumb mock object. The
 typical way to use mockldap is to provide some static directory content and
 then let LDAPObject generate real return values. This will only work for simple
 LDAP operations–this obviously isn’t a complete Python LDAP server
 implementation–but those simple operations tend to cover a lot of cases.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=mockldap
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/.build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/mockldap/mockldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
